Commits

Seonghoon Kang committed d14b8c8

snapshot

  • Participants
  • Parent commits 9cdec7f

Comments (0)

Files changed (2)

 #!/bin/bash
-(
-for ((i=0;i<$1;++i)); do
-	cat output/output$i.txt
-done
-for ((i=$i;i<9;++i)); do
-	echo 0
-done
-) > result.txt
-rm -f result.7z
+for ((i=0;i<9;++i)); do
+	xzcat archive/output$i.$1.txt.xz || exit 1
+	shift 1
+done > result.txt
 make zip
 
 = permanent elimination rule database
 
+= make dayandnight optimize for each patterns
+  - stables are symmetrical to horiz/vert. flips but not rotation
+  - 6 possible cases:
+    +--+ +--+ +--+ +--+ +--+ +--+
+    |x | |xx| |x | | x| |xx| |xx|
+    |  | |  | |  | |  | |  | |  |
+    |  | |  | |x | |x | |x | |xx|
+    +--+ +--+ +--+ +--+ +--+ +--+
+  - idea: compute for every possible kxn patterns early?
+    - may use hashlife in this case
+
 ----
 
 v = map(int,'''
 '''.split())
 for k in xrange(len(v)//9): u = [100000.*min(z)**2/z[k]**2 for z in zip(*[v[i:i+9] for i in xrange(0,len(v),9)])]; print '%6.0f | %s' % (sum(u), ' '.join('%6.0f'%j for j in u))
 
+./build.sh 4 216 2245771 8178420 1020352 499250 411684 34020 5002855
+